Retrieve a received email's attachment
GET
One attachment's metadata and a signed download link valid for one hour. Needs a full access key.
email_id*stringFormat
uuidid*stringFormat
uuidAttachment
application/json- response
id*stringFormat
uuidfilename?stringsize*integercontent_type*stringcontent_disposition*stringValue in
"inline""attachment"content_id?stringdownload_url*stringSigned link to the file's bytes, valid for one hour; it needs no API key
expires_at*stringobject*"attachment"Value in
"attachment"curl -X GET 'https://api.millionsend.com/emails/receiving/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "filename": "string", "size": 0, "content_type": "string", "content_disposition": "inline", "content_id": "string", "download_url": "string", "expires_at": "string", "object": "attachment"}